﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.Phone.UI.Input;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=391641

namespace Presentation_Layer
{

    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            this.NavigationCacheMode = NavigationCacheMode.Required;

            HardwareButtons.BackPressed += HardwareButtons_BackPressed;
        }

        void HardwareButtons_BackPressed(object sender, BackPressedEventArgs e)
        {
            Frame rootFrame = Window.Current.Content as Frame;
            if (rootFrame == null)
                return;
            if (rootFrame.CanGoBack)
            {
                rootFrame.GoBack();
                e.Handled = true;
            }
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {

            somaAdViewer.Pub = 0;       // Developer pub ID for testing
            somaAdViewer.Adspace = 0;   // Developer adSpace ID for testing
            somaAdViewer.Age = 35;

            somaAdViewer.NewAdAvailable += somaAdViewer_NewAdAvailable;

            somaAdViewer.StartAds();
        }

        protected override void OnNavigatedFrom(NavigationEventArgs e)
        {
            somaAdViewer.StopAds();

            base.OnNavigatedFrom(e);
        }

        private void somaAdViewer_NewAdAvailable(object sender, EventArgs e)
        {
            
        }

    }
}
